@import "../../../assets/styles/main.scss";

.MilestoneLevelSection {
  padding: 100px 0px;
  background: #fff9f4;
  position: relative;
  span {
    color: getColorHex("orange");
  }
  .arrowPlanFullLengthIcon {
    position: absolute;
    top: 50px;
    left: 0;

    @include md {
      top: 30px;

      img {
        height: 130px;
      }
    }

    @include xs {
      top: 16px;

      img {
        height: 74px;
      }
    }
  }

  .arrowPlanMultiIcon {
    position: absolute;
    top: 50px;
    right: 0;
    @include lg {
      width: 250px;
    }

    @include md {
      bottom: -15.56px;

      img {
        height: 150px;
      }
    }

    @include xs {
      bottom: 0px;

      img {
        height: 87px;
      }
    }
  }
  .MilestoneLevelContainer {
    @include container-medium-1;
    display: flex;
    flex-direction: column;
    gap: 50px;
    .milestoneLevelHeader {
      h1 {
        font-size: 48px;
        line-height: normal;
        @include inter700;
        @include xl {
          font-size: 42px;
        }
        @include lg {
          font-size: 38px;
        }
      }
    }
    .milestoneLevelContent {
      display: grid;
      grid-template-columns: 446px auto;
      gap: 25px;
      width: 100%;
      @include lg {
        grid-template-columns: 350px auto;
      }
      .levelOfferMain {
        display: flex;
        flex-flow: column;
        gap: 10px;
        border-radius: 32px;
        background: #fff;
        padding: 40px;
        @include lg {
          padding: 25px;
        }
        h3 {
          font-size: 30px;
          line-height: 180.023%;
          @include inter700;
          @include lg {
            font-size: 26px;
          }
        }
        img {
          width: 60px;
        }
        p {
          font-size: 21px;
          line-height: 175.023%;
          @include lg {
            font-size: 17px;
          }
          span {
            a {
              border-bottom: 1px solid getColorHex("orange");
            }
          }
        }
      }
      .levelOfferStepsMain {
        border-radius: 32px;
        background: #fff;
        display: flex;
        flex-flow: column;
        gap: 34px;
        padding: 40px;
        position: relative;
        @include lg {
          padding: 25px;
          gap: 25px;
        }

        .OfferSteps {
          display: flex;
          align-items: center;
          gap: 25px;
          max-width: 521px;
          @include xl {
            max-width: 445px;
          }
          @include lg {
            max-width: 400px;
            gap: 15px;
          }
          img {
            width: 50px;
          }
          p {
            line-height: 29px;
            @include inter500;
            line-height: 29px;
            font-size: 20px;
            @include xl {
              font-size: 18px;
            }
            @include lg {
              font-size: 17px;
            }
          }
        }
        .levelInfoDiv {
          padding: 10px;
          border-radius: 10px;
          border: 1px solid getColorHex("orange");
          background: linear-gradient(90deg, #ffe8d3 0%, #fff8f1 100%);
          max-width: 521px;
          @include xl {
            max-width: 445px;
          }
          @include lg {
            max-width: 400px;
            padding: 10px 5px;
          }
          p {
            font-size: 14px;
            @include inter500;
            line-height: 29px;
            text-align: center;
            color: getColorHex("orange");
            @include lg{
                font-size: 13px;
            }
          }
        }
        .levelImage {
          position: absolute;
          bottom: 0px;
          right: 0px;
          width: 265px;
          @include xl {
            width: 218px;
          }
          @include lg{
            width: 185px;
          }
        }
      }
    }
    .milestoneLevelBlockMain {
      display: grid;
      grid-template-columns: repeat(4, auto);
      gap: 24px;
      @include lg{
        gap: 15px;
      }
      .milestoneLevelBlock {
        padding: 40px 24px 121px;
        border-radius: 32px;
        background: #fff;
        box-shadow: 0px 0px 8px 4px rgba(244, 117, 0, 0.13);
        display: flex;
        flex-flow: column;
        gap: 10px;
        position: relative;
        @include lg{
            padding: 25px 13px 100px;
        }
        .milestoneLevelImage {
          padding: 15px 0px;
          width: 120px;
          height: 130px;
          margin: auto;
          img {
            width: 100%;
            height: 100%;
            object-fit: contain;
          }
        }
        h1 {
          text-align: center;
          font-size: 30px;
          line-height: 175.023%;
          @include inter700;
          @include xl {
            font-size: 28px;
          }
        }
        .milestoneLevelDiscount {
          h1 {
            color: getColorHex("orange");
            font-size: 48px;
            line-height: 175.023%;
            text-align: center;
            @include xl {
              font-size: 42px;
            }
          }
          p {
            font-size: 20px;
            line-height: 175.023%;
            text-align: center;
            color: getColorHex("black");
            @include xl {
              font-size: 18px;
            }
          }
        }
        h4 {
          text-align: center;
          line-height: 175.023%;
          font-size: 20px;
          color: getColorHex("charcoal");
          @include xl {
            font-size: 18px;
          }
        }
        p {
          line-height: 175.023%;
          font-size: 15px;
          text-align: center;
          @include xl{
            font-size: 14px;
          }
          @include lg{
            font-size: 13px;
          }
        }
        .objectImage {
          position: absolute;
          width: 34px;
          height: 37px;
          right: 35px;
          bottom: 185px;
          transform: rotate(0deg);
          @include xl{
            bottom: 174px;
          }
          @include lg{
            bottom: 160px;
          }
        }
        .BottomobjectImage {
          position: absolute;
          left: 0px;
          bottom: 0px;
        }
      }
    }
  }
}
